Name:           abcMIDI
Version:        20090317
Release:        1%{?dist}
Summary:        ABC to/from MIDI conversion utilities

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://abc.sourceforge.net/abcMIDI
Source0:        http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2009-03-17.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
The abcMIDI package contains four programs: abc2midi to convert ABC
music notation to MIDI, midi2abc to convert MIDI files to (a first
approximation to) the corresponding ABC, abc2abc to reformat and/or
transpose ABC files, and yaps to typeset ABC files as PostScript.

For a description of the ABC syntax, please see the ABC userguide
which is a part of the abcm2ps.


%prep
%setup -q -n abcmidi
# correct end-of-line encoding
sed -i 's/\r//' doc/*.txt *.abc doc/AUTHORS VERSION
# remove executable flag from text files
chmod 0644 *.abc VERSION doc/*.txt doc/AUTHORS doc/CHANGES


%build
make %{?_smp_mflags} -f makefiles/unix.mak all CFLAGS="-DANSILIBS $RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 abc2midi $RPM_BUILD_ROOT%{_bindir}
install -m 755 abcmatch $RPM_BUILD_ROOT%{_bindir}
install -m 755 midi2abc $RPM_BUILD_ROOT%{_bindir}
install -m 755 midicopy $RPM_BUILD_ROOT%{_bindir}
install -m 755 abc2abc $RPM_BUILD_ROOT%{_bindir}
install -m 755 mftext $RPM_BUILD_ROOT%{_bindir}
install -m 755 yaps $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/abc2abc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/abc2midi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/mftext.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/midi2abc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/midicopy.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/yaps.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.abc VERSION doc/*.txt doc/AUTHORS doc/CHANGES
%{_mandir}/man*/*
%{_bindir}/*


%changelog
* Sat Jun 13 2009 Gerard Milmeister <gemi@bluewin.ch> - 20090317-1
- new release 2009-03-17

* Wed Sep 24 2008 Gerard Milmeister <gemi@bluewin.ch> - 20080924-1
- new release 2008-09-24

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 20070106-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20070106-2
- Autorebuild for GCC 4.3

* Tue Jan  9 2007 Gerard Milmeister <gemi@bluewin.ch> - 20070106-1
- new version 20070106

* Wed Dec 13 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061211-1
- new version 20061211

* Mon Nov  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061103-1
- new version 20061103

* Tue Oct 31 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061027-1
- new version 20061027

* Mon Oct 16 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061015-1
- new version 20061015

* Mon Oct  9 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061005-1
- new version 20061005

* Mon Sep 11 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060910-1
- new version 20060910

* Wed Aug 30 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060829-1
- new version 20060829

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060805-2
- Rebuild for FE6

* Tue Aug  8 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060805-1
- new version 2006-08-05

* Mon Jul 31 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060730-1
- new version 2006-07-30

* Mon Jun 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060625-1
- new version 2006-06-25

* Thu Jun 15 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060608-1
- new version 2006-06-08

* Sun Jun  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060422-1
- new version 2006-04-22

* Tue Mar  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060207-1
- First Fedora release

